Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Rescue when loading bundler fails

  • Loading branch information...
commit 9216e2445b59813e55521acb7f765bbdb27a9d03 1 parent 0f2f5f1
@indirect indirect authored
Showing with 3 additions and 1 deletion.
  1. +3 −1 src/pages/rails23.haml
View
4 src/pages/rails23.haml
@@ -33,7 +33,7 @@
require "rubygems"
require "bundler"
- if Gem::Version.new(Bundler::VERSION) <= Gem::Version.new("0.9.20")
+ if Gem::Version.new(Bundler::VERSION) <= Gem::Version.new("0.9.24")
raise RuntimeError, "Your bundler version is too old." +
"Run `gem install bundler` to upgrade."
end
@@ -41,6 +41,8 @@
# Set up load paths for all bundled gems
ENV["BUNDLE_GEMFILE"] = File.expand_path("../../Gemfile", __FILE__)
Bundler.setup
+ rescue LoadError =>
+ raise RuntimeError, e.message
rescue Bundler::GemNotFound
raise RuntimeError, "Bundler couldn't find some gems." +
"Did you run `bundle install`?"
Please sign in to comment.
Something went wrong with that request. Please try again.